Libv8 problem

-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Hi, all.

I’m trying to run an intial rake to create my databases on a Rails
project & no matter what I try I can’t get the gem libv8 recognised:

Using railties (3.2.1) Using coffee-rails (3.2.2) Using jquery-rails (2.0.0) Using libv8 (3.3.10.4) Using pg (0.12.2) Using rails (3.2.1) Using sass (3.1.13) Using sass-rails (3.2.4) Using therubyhacer (0.9.9) Using uglifier (1.2.3) Your bundle is complete! Usebundle show [gemname]to see where a bundled gem is installed. [Sat Feb 04 00:19:17 [email protected]:~/hercloud/space ] $ sudo rake db:create [sudo] password for phildobbin: Could not find libv8-3.3.10.4 in any of the sources Runbundle installto install missing gems.

Needless to say I’ve ran bundle install more than once, I’ve ran
bundle exec rake test, I’ve seen where the gem is on the local drive
along with all the others with my own eyes & I’ve Googled/Stack
Overflowed & seen the same error message more than once but no answers.

Ruby/MRI 1.8.7, rvm & Debian 6.0.4 Squeeze. It was pushed successfully
to heroku before the attempt at running rake.

Any help appreciated.

Cheers,

Phil…


But masters, remember that I am an ass.
Though it be not written down,
yet forget not that I am an ass.

Wm. Shakespeare - Much Ado About Nothing

-----BEGIN PGP SIGNATURE-----
Version: GnuPG/MacGPG2 v2.0.17 (Darwin)
Comment: §auto-key-locate cert pka ldap hkp://keys.gnupg.net
Comment: GPGTools - http://gpgtools.org
Comment: Using GnuPG with Mozilla - http://enigmail.mozdev.org/

iQEcBAEBAgAGBQJPLIB1AAoJEKpMeDHWT5ADDIwH/31M6bn2ZZtdL9Gd6xmuEkuL
+xPVFUfiL7qWX9HALPNVnFn2wy3aZZM4k1SNLclgZOl2/3A8U9EtIlk5oB7eP8Cd
5+GFBngAnOwxWC840w/9+tx9OYiWTBfj4yKZhBl5IHQnFsNlZeJqYgVaHnkTweEl
SySRI+ZH4dl5A3R1a9L/I42Gv9BVkHhSeSRS89AMJT7A71CCjprJ+TTM6tb4vJAJ
V3apHPypDEuccMVWrIBO20oVUnRQLDD4R53lRjNGAeiHduWKlbwesroC8lQ+c4Sl
QLGJxSne0zVk0MG5nG/jfQoh/MBnnWHbbNSiAMS5RWHiPS5NdimVlUce/GGt33k=
=lniV
-----END PGP SIGNATURE-----

On Fri, Feb 3, 2012 at 4:49 PM, Phil D. [email protected]
wrote:

I’m trying to run an intial rake to create my databases on a Rails
project & no matter what I try I can’t get the gem libv8 recognised:

[Sat Feb 04 00:19:17 [email protected]:~/hercloud/space ] $ sudo rake
db:create
[sudo] password for phildobbin:
Could not find libv8-3.3.10.4 in any of the sources
Run bundle install to install missing gems.`

Why sudo for this?

Does sudo gem list --local return the same thing as gem list --local?
(and maybe sudo rvm info compared to rvm info)

-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

On 04/02/2012 16:00, Hassan S. wrote:

Why sudo for this?

Does sudo gem list --local return the same thing as gem list --local?
(and maybe sudo rvm info compared to rvm info)

I ran sudo because rake complained no password_auth.

The results of both sudo gem & sudo rvm are command not found.
Without sudo my gem list returns libv8 as present.

I’m using a single-user rvm install in my home directory & Ruby/MRI
1.8.7 for rails & Ruby/MRI 1.9.2. for sinatra & both have separate gem
sets with libv8 only present in 1.8.7 (I use switch rvm to use the
different rubies).

I’m completely at a loss as to why this is happening.

Cheers,

Phil…


But masters, remember that I am an ass.
Though it be not written down,
yet forget not that I am an ass.

Wm. Shakespeare - Much Ado About Nothing

-----BEGIN PGP SIGNATURE-----
Version: GnuPG/MacGPG2 v2.0.17 (Darwin)
Comment: §auto-key-locate cert pka ldap hkp://keys.gnupg.net
Comment: GPGTools - http://gpgtools.org
Comment: Using GnuPG with Mozilla - http://enigmail.mozdev.org/

iQEcBAEBAgAGBQJPLVl5AAoJEKpMeDHWT5ADC3IIALPP+FRLNINjBkyikddgSNxC
+pgF0kD6PaPjC19oaP18kzV6H8GH7HwvJW+vYC8TsmNoDjGCR8TM2tP4Oxxw8IRH
VDKVt8taxbXhhFtAfZRIrx46FicvGiuNxuGF+pBPjKY4O3O29ZC5g7gR+rN1XaEY
dRaDn84o+MndX3oSqdIA9+ScJLrItcvqGJDwpfWA28TNTlBS/X7iT2/b8lO9ETFd
QcKbXej1hy6Lh89BTuni8mw2L7/nLykL/TYvpT0oV2ioZi/tKstZXu8l6JfUJ4+x
BsJexB91gevaqVfFPgHFq/R9LpdlJlQTkwMP17ctMCo+I5WdvW/nkG8DVfoEIII=
=Zlfi
-----END PGP SIGNATURE-----

sudo rake db:create
Why you running it with sudo?
Just try like that:
bundle exec rake:db create

-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

On 04/02/2012 16:14, Phil D. wrote:

Run bundle install to install missing gems.Without sudo my gem list returnslibv8` as present.
I found the cause: an errant line in my bashrc was leading Ruby up the
garden path so to speak hence sudo.

Sorry for the noise,

Cheers,

Phil…


But masters, remember that I am an ass.
Though it be not written down,
yet forget not that I am an ass.

Wm. Shakespeare - Much Ado About Nothing

-----BEGIN PGP SIGNATURE-----
Version: GnuPG/MacGPG2 v2.0.17 (Darwin)
Comment: §auto-key-locate cert pka ldap hkp://keys.gnupg.net
Comment: GPGTools - http://gpgtools.org
Comment: Using GnuPG with Mozilla - http://enigmail.mozdev.org/

iQEcBAEBAgAGBQJPLVxAAAoJEKpMeDHWT5ADbK0H/isV7RcwVI3s9UKW5FBni4fm
+LN0F57/EHN+YcgmGqp1rhZzB0yaICQ1oaUULRZFwxUNtuPZIVWay6Dod/YlTukC
25ZMuxkCNIjPyLznXHvRTsJ/9Bg19vcS3N+yQvj9BfpRdxWJ8V9D7d0IorjwgVow
fBpm2y0QIKnITxFaVBAQkn98xxaa+BjbH5W0IE/mXc517rUmahlXdIVu9kDB8VgF
8NyBcLQnwKY36h9iDSFar8en+ErkrvvynJ22iFRJ6exUCUObuXu0Zh6BsopFGfp5
d7QsCt3Nr/nnKdfOtze/jv2cNPOXhi7FnA9DA1AC6SU2PGXPMC+YCnLZi+wlYSE=
=xlui
-----END PGP SIGNATURE-----

This forum is not affiliated to the Ruby language, Ruby on Rails framework, nor any Ruby applications discussed here.

| Privacy Policy | Terms of Service | Remote Ruby Jobs